求哪位大侠给翻译一下这个,千恩万谢!

参与到Ubuntu的翻译中来
回复
ttrrff
帖子: 30
注册时间: 2006-08-02 15:28
送出感谢: 0
接收感谢: 0

求哪位大侠给翻译一下这个,千恩万谢!

#1

帖子 ttrrff » 2006-10-28 14:09

要翻译的文章在此:http://wiki.beryl-project.org/index.php ... dgy/nVIDIA
再次感谢! :oops:
fyfwn
帖子: 86
注册时间: 2006-03-03 18:07
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 fyfwn » 2006-10-28 17:37

1.安装nvidia beta driver:
方法一:
加入下面两个中的一个源:
deb http://amaranth.selfip.com edgy lrm
deb http://dev.realistanew.com/beryl edgy beryl
(在10月5号,这个服务器缺少一些重要的包,amaranth's repository添加在这里:
deb http://beryl-mirror.lupine.me.uk/beryl edgy beryl
(10月2号,该服务器回应:Unable to find expected entry beryl/binary-i386/Packages in Meta-index file (malformed Release file?)')
然后:
sudo apt-get update
sudo apt-get install nvidia-glx
ctrl+alt+backspace重启X
方法二:安装官方的nvidia包
下载http://www.nzone.com/object/nzone_downloads_re ... river.html
安装
sudo apt-get install linux-headers-$(uname -r) libc6-dev
然后进入控制台 ctrl+alt+F1(不在X内)
登录后:
sudo /etc/init.d/gdm stop
sudo sh NVIDIA-Linux-x86-1.0-9625-pkg1.run
注:在安装的结束阶段,安装会问你请求你运配置脚本,回答yes.
重启gdm:
sudo /etc/init.d/gdm start
注:要添加sched hack(?),在这里:http://forum.beryl-project.org/topic-4707-1.html
注:如果你这样安装,以后每次你升级内核后都要重新安装。

检测是否安装成功:
glxinfo | grep direct (终端)
如果显示:direct rendering :yes
说明成功了。如果出现另外的结果,运行nvidia的配置工具,然后重启gdm
sudo nvidia-xconfig

添加beryl的源:修改/etc/apt/sources.list,添加下面之一(译者注1:同时添加两个不行?)
deb http://www.beerorkid.com/compiz/ edgy main-edgy
deb http://xgl.compiz.info/ edgy main-edgy
注:beryl仍属于开发阶段,还没有正式或官方的release,所以没有(技术)支持
注:如果你使用amd64,在行的最后使用"main-edgy-amd64",应该是这个样子"main-edgy main-edgy-amd64"。
获得key:
wget http://www.beerorkid.com/compiz/quinn.key.asc -O - | sudo apt-key add -
或者wget xgl.compiz.info/quinn.key.asc -O - | sudo apt-key add -
升级系统:
sudo apt-get update
sudo apt-get dist-upgrade
安装:
sudo apt-get install beryl emerald emerald-themes

修改/etc/X11/xorg.conf
Section "Screen"
[...your configuration...]
Option "AddARGBGLXVisuals" "True"
EndSection
(译者注:意思应该是在section "screen"的最后部分一句:Option "AddARGBGLXVisuals" "True")

在/etc/X11/xorg.conf添加:
Section "Extensions"
Option "Composite" "Enable"
EndSection
注:我(作者)的一个nvidia 7600GS,内存512DDR2,不需要"Extensions"这段也运行良好,想知道你是否需要这一段,看一下:/var/log/Xorg.0.log,寻找
(WW) NVIDIA(0): 32-bit ARGB GLX visuals require the Composite extension.
(II) NVIDIA(0): Disabling 32-bit ARGB GLX visuals.
如果没有这些,你可以不需要"Extension".

在/etc/X11/xorg.conf里修改:
Section "Device"
[...your configuration...]
Option "TripleBuffer" "true"
EndSection
注:好像加上这个,你的fps会提高,我没有用,但对你也许有用。

配置beryl
在"系统"->"首选项"->"session"中,添加启动项"beryl-manager"
重启and enjoy Right click on the tray icon (a red beryl gem) and you'll see the configuration programs.

Category: Ubuntu

译者注:以上的注全是原作者的注释
ttrrff
帖子: 30
注册时间: 2006-08-02 15:28
送出感谢: 0
接收感谢: 0

#3

帖子 ttrrff » 2006-10-28 19:00

太谢谢您了!先试试!
回复

回到 “软件和文档翻译”